Main Page Widgets Namespaces Book

# recentfilter.h File Reference

## Classes
class | Gtk::RecentFilter
| RecentFilter can be used to restrict the files being shown in a RecentChooser. More...
class | Gtk::RecentFilter::RecentFilter::Info
| A RecentFilter::Info class is used to pass information about the tested file to filter(). More...
## Namespaces
namespace | Glib
namespace | Gtk
## Enumerations
enum | Gtk::RecentFilterFlags { Gtk::RECENT_FILTER_URI = 1 << 0, Gtk::RECENT_FILTER_DISPLAY_NAME = 1 << 1, Gtk::RECENT_FILTER_MIME_TYPE = 1 << 2, Gtk::RECENT_FILTER_APPLICATION = 1 << 3, Gtk::RECENT_FILTER_GROUP = 1 << 4, Gtk::RECENT_FILTER_AGE = 1 << 5 }
## Functions
RecentFilterFlags | Gtk::operator& (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags& | Gtk::operator&= (RecentFilterFlags& lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator^ (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags& | Gtk::operator^= (RecentFilterFlags& lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator| (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags& | Gtk::operator|= (RecentFilterFlags& lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator~ (RecentFilterFlags flags)